# Class CATypeRecordFieldIdentifierConverter

java.lang.Object
com.io7m.cardant.shell.internal.converters.CATypeRecordFieldIdentifierConverter

All Implemented Interfaces:
  `com.io7m.quarrel.core.QValueConverterType<CATypeRecordFieldIdentifier>`

public final class CATypeRecordFieldIdentifierConverter extends Object implements com.io7m.quarrel.core.QValueConverterType<CATypeRecordFieldIdentifier>
A value converter for type match expressions.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CATypeRecordFieldIdentifierConverter()`
  Construct a converter.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Class<CATypeRecordFieldIdentifier>`
  `convertedClass()`
  `CATypeRecordFieldIdentifier`
  `convertFromString(String text)`
  `String`
  `convertToString(CATypeRecordFieldIdentifier value)`
  `CATypeRecordFieldIdentifier`
  `exampleValue()`
  `String`
  `syntax()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CATypeRecordFieldIdentifierConverter

    public CATypeRecordFieldIdentifierConverter()
    Construct a converter.

- ## Method Details

  - ### convertFromString

    public CATypeRecordFieldIdentifier convertFromString(String text)
    Specified by:
      `convertFromString` in interface `com.io7m.quarrel.core.QValueConverterType<CATypeRecordFieldIdentifier>`

  - ### convertToString

    public String convertToString(CATypeRecordFieldIdentifier value)
    Specified by:
      `convertToString` in interface `com.io7m.quarrel.core.QValueConverterType<CATypeRecordFieldIdentifier>`

  - ### exampleValue

    public CATypeRecordFieldIdentifier exampleValue()
    Specified by:
      `exampleValue` in interface `com.io7m.quarrel.core.QValueConverterType<CATypeRecordFieldIdentifier>`

  - ### syntax

    public String syntax()
    Specified by:
      `syntax` in interface `com.io7m.quarrel.core.QValueConverterType<CATypeRecordFieldIdentifier>`

  - ### convertedClass

    public Class<CATypeRecordFieldIdentifier> convertedClass()
    Specified by:
      `convertedClass` in interface `com.io7m.quarrel.core.QValueConverterType<CATypeRecordFieldIdentifier>`